summaryrefslogtreecommitdiff
path: root/system/utmps/utmps.initd
diff options
context:
space:
mode:
Diffstat (limited to 'system/utmps/utmps.initd')
-rw-r--r--system/utmps/utmps.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/system/utmps/utmps.initd b/system/utmps/utmps.initd
new file mode 100644
index 000000000..c6f884a52
--- /dev/null
+++ b/system/utmps/utmps.initd
@@ -0,0 +1,30 @@
+#!/sbin/openrc-run
+# Copyright 2022 Adélie Linux
+
+description="boot script for the utmps wtmp and btmp services"
+
+depend()
+{
+ need localmount
+ after bootmisc
+ before networking
+}
+
+stop()
+{
+ ebegin "Stopping the utmps wtmp and btmp services"
+ touch /run/service/wtmpd/down /run/service/btmpd/down
+ s6-svc -d /run/service/btmpd
+ s6-svc -d /run/service/wtmpd
+ eend $?
+}
+
+start()
+{
+ ebegin "Starting the utmps wtmp and btmp services"
+ rm -f /run/service/wtmpd/down /run/service/btmpd/down
+ s6-svlisten -U " /run/service/wtmpd" " /run/service/btmpd" "" \
+ foreground " s6-svc" " -u" " /run/service/wtmpd" "" \
+ s6-svc -u /run/service/btmpd
+ eend $?
+}